### File

`packages/eui-ionic/src/lib/services/storage/ionic-storage.service.ts`

### Description

ionic storage service, using the @ionic/storage library https://ionicframework.com/docs/building/storage

### Extends

`AsyncStorageService`

### Index

###### Properties
Static NAME
###### Methods
get name ready remove set

### Constructor

`constructor(storage: Storage, log: LogService)`
Parameters :
Name | Type | Optional
storage | `Storage` | No
log | `LogService` | No

### Methods

get
`get(key: string)`
retrieve an object from storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
Returns : `Observable<any>` one time emission Observable of value

name
`name()`
the name of the storage service Returns : `string`

ready
`ready()`
reflects the readiness of the storage Returns : `Observable<any>` one time emission Observable

remove
`remove(key: string)`
removes an object from storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
Returns : `Observable<any>` one time emission Observable

set
`set(key: string, value: any)`
sets an object in storage Parameters :
Name | Type | Optional | Description
key | `string` | No | the associated key
value | `any` | No | the value to set
Returns : `Observable<any>` one time emission Observable

### Properties

Static NAME
Type : `string`
Default value : `'IonicStorageService'`

# result-matching ""

# No results matching ""